summaryrefslogtreecommitdiff
path: root/setup_quota_group
diff options
context:
space:
mode:
authorjkar8572 <jkar8572>2001-03-23 12:03:26 +0000
committerjkar8572 <jkar8572>2001-03-23 12:03:26 +0000
commit869fe242340fefe0540fdcf51698ba4c3c8c07bb (patch)
tree950fa3f5997c1e8ee68c0f17d4eaf17abef64f34 /setup_quota_group
Initial revision
Diffstat (limited to 'setup_quota_group')
-rwxr-xr-xsetup_quota_group12
1 files changed, 12 insertions, 0 deletions
diff --git a/setup_quota_group b/setup_quota_group
new file mode 100755
index 0000000..7343fea
--- /dev/null
+++ b/setup_quota_group
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]; then
+ echo "Usage: $0 proto_type_user group"
+ exit 1
+fi
+
+gid=`cat /etc/group | grep "^$2" | cut -d: -f3`
+for user in `cat /etc/passwd | grep ".*:.*:$gid:" | cut -d: -f1`
+do
+ edquota -p $1 $user
+done